<?php
namespace Modules\Bsp\Settlement;

class View_Options extends \App\Mvc\View_Window_PaginatedListing_OptionsAbstract
{
	/**
	 * (non-PHPdoc)
	 * @see \App\Mvc\View_Window_PaginatedListing_OptionsAbstract::populateDefinedOptions()
	 */
	public function populateDefinedOptions(\App\Mvc\View\Utils\RowOptions\Container\Simple $options)
	{
		$options
			->append(\App\Mvc\View\Utils\RowOptions\Option\Popup::create("exportCurrentRecords")
				->setAction('exportCurrentRecords')
				->setSection('global')
				->setIcon('export')
				->setDescription($this->lang['index']['options']['buttons']['exportCurrentRecords'])
				->setDimensions(600, 600)
			)
			->append(\App\Mvc\View\Utils\RowOptions\Option\Popup::create("changeStatus")
				->setAction('changeStatus')
				->setSection('row')
				->setIcon('changeStatus')
				->setDescription($this->lang['index']['options']['buttons']['changeStatus'])
				->setDimensions(600, 300)
				->setKeyForCurrentRow('ids[0]')
			)
			->append(\App\Mvc\View\Utils\RowOptions\Option\Popup::create("changeStatusBulk")
				->setAction('changeStatus')
				->setSection('bulk')
				->setIcon('changeStatus')
				->setDescription($this->lang['index']['options']['buttons']['changeStatusBulk'])
				->setDimensions(600, 300)
				->setKeyForSelectedRows('ids')
			);
	}
}
